<template>
    <div class="m-4">
        <select v-bind="$attrs" name="" id="" class="w-full h-auto p-1.5" :size="size">
            <slot></slot>
        </select>
    </div>
</template>

<script>
    export default {
        props: {
            size: {
                type: String,
                default: 'sm'
            },
            value: String,
            disabled: {
                type: Boolean,
                default: false,
            },
            readonly: {
                type: Boolean,
                default: false,
            },
            opt: {
                type: String
            }
        },
        computed: {
            changeSize() {
                let fontSize = ''
                if (this.size === 'sm') {
                    fontSize = 13
                } else if (this.size === 'lg') {
                    fontSize = 17
                } else if (this.size === 'xl') {
                    fontSize = 20
                } else {
                    fontSize = 15
                }
                return fontSize;
            },
        }
    }
</script>

<style>
.sm {
    width: 15px;
    height: 15px;
}
.default {
    width: 18px;
    height: 18px;
}
.lg {
    width: 21px;
    height: 21px;
}
.xl {
    width: 24px;
    height: 24px;
}

</style>